<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_func_t.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_t"></a>- t -</h3><ul>
<li>TableMissingHeader()
: <a class="el" href="classOpenSim_1_1TableMissingHeader.html#a5b3dcb609f15e20422e09a771b41e8d9">OpenSim::TableMissingHeader</a>
</li>
<li>TableNotFoundException()
: <a class="el" href="classOpenSim_1_1TableNotFoundException.html#aa372ffee1783928459bd7d6473d45b91">OpenSim::TableNotFoundException</a>
</li>
<li>TableReporter_()
: <a class="el" href="classOpenSim_1_1TableReporter__.html#a7c4f740c7d6a1defa547416af950a874">OpenSim::TableReporter_&lt; InputT, ValueT &gt;</a>
</li>
<li>tableString()
: <a class="el" href="classOpenSim_1_1DelimFileAdapter.html#af6cf540a1450c2314d17b99022288c7e">OpenSim::DelimFileAdapter&lt; T &gt;</a>
</li>
<li>TabOpUseAbsoluteStateNames()
: <a class="el" href="classOpenSim_1_1TabOpUseAbsoluteStateNames.html#a7af7e83ab2e33271b3715bc8e13a2035">OpenSim::TabOpUseAbsoluteStateNames</a>
</li>
<li>take()
: <a class="el" href="classOpenSim_1_1ThreadsafeJar.html#ab4ae9922ba2cc9f2448f6242f1e7f023">OpenSim::ThreadsafeJar&lt; T &gt;</a>
</li>
<li>throwIfDeleted()
: <a class="el" href="classOpenSim_1_1FileDeletionThrower.html#a5b50499e531b31c34a959d0c394f4767">OpenSim::FileDeletionThrower</a>
</li>
<li>TimeColumnNotIncreasing()
: <a class="el" href="classOpenSim_1_1TimeColumnNotIncreasing.html#a32ffd37e1e6e88cea778bb13003aea9f">OpenSim::TimeColumnNotIncreasing</a>
</li>
<li>TimeOutOfRange()
: <a class="el" href="classOpenSim_1_1TimeOutOfRange.html#a1f8a1acc0d893e9ed3f151d9c6f54c57">OpenSim::TimeOutOfRange</a>
</li>
<li>TimeSeriesTable_()
: <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#ac69bcc77aaa8eb160f5c3838d7ac7954">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>TimestampGreaterThanEqualToNext()
: <a class="el" href="classOpenSim_1_1TimestampGreaterThanEqualToNext.html#a7f5182ad7418e37db5047793a2986dc6">OpenSim::TimestampGreaterThanEqualToNext</a>
</li>
<li>TimestampLessThanEqualToPrevious()
: <a class="el" href="classOpenSim_1_1TimestampLessThanEqualToPrevious.html#a3a979a3e0814cbfc7679042dff887270">OpenSim::TimestampLessThanEqualToPrevious</a>
</li>
<li>tokenize()
: <a class="el" href="classOpenSim_1_1FileAdapter.html#a4c0df59f7019f251683ba2c46b80de3e">OpenSim::FileAdapter</a>
</li>
<li>toString()
: <a class="el" href="classOpenSim_1_1AbstractProperty.html#a385fae988f5d035ef20ad80f61c65cc7">OpenSim::AbstractProperty</a>
, <a class="el" href="classOpenSim_1_1AbstractValueArray.html#a4c4d89e4571f87b01df64e2afae7e922">OpenSim::AbstractValueArray</a>
, <a class="el" href="classOpenSim_1_1ComponentPath.html#a465df0b4170dd05426f0f69572ca4d99">OpenSim::ComponentPath</a>
, <a class="el" href="classOpenSim_1_1ControlLinearNode.html#a46a328e17442fe3eab78dc7c94048f6c">OpenSim::ControlLinearNode</a>
, <a class="el" href="classOpenSim_1_1DataTable__.html#a6324bf22a3cdd43a0ce4cbb9a69e6546">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
, <a class="el" href="classOpenSim_1_1Manager.html#a840df8bf503dd31f37fb103bbfb7500f">OpenSim::Manager</a>
, <a class="el" href="classOpenSim_1_1Object.html#ae20f7560c2ff26f0ba64e3cc81887ce8">OpenSim::Object</a>
, <a class="el" href="classOpenSim_1_1Property__Deprecated.html#a3040fc166e3f74eeff96ac399d0dd80b">OpenSim::Property_Deprecated</a>
, <a class="el" href="classOpenSim_1_1PropertyBool.html#a25e3f5cd2268d7c5f5e32a1a087ba3e6">OpenSim::PropertyBool</a>
, <a class="el" href="classOpenSim_1_1PropertyBoolArray.html#a92d81b8d7746434854ebb5cf6f57821d">OpenSim::PropertyBoolArray</a>
, <a class="el" href="classOpenSim_1_1PropertyDbl.html#aaf6f880d706bc11f606096140cbea6a4">OpenSim::PropertyDbl</a>
, <a class="el" href="classOpenSim_1_1PropertyDblArray.html#a14aaca4be4556e2462a1245baf5f1aa2">OpenSim::PropertyDblArray</a>
, <a class="el" href="classOpenSim_1_1PropertyDblVec__.html#a98d8d300f4cc1de932cbdfd59edef187">OpenSim::PropertyDblVec_&lt; M &gt;</a>
, <a class="el" href="classOpenSim_1_1PropertyInt.html#a4e1e1897ae2833f6e9d76dddfeb6c0b0">OpenSim::PropertyInt</a>
, <a class="el" href="classOpenSim_1_1PropertyIntArray.html#aefd2fe1507efac842cbc51acc47c6ec6">OpenSim::PropertyIntArray</a>
, <a class="el" href="classOpenSim_1_1PropertyObj.html#a93ce2c317efb58358d9c1a768d6540e0">OpenSim::PropertyObj</a>
, <a class="el" href="classOpenSim_1_1PropertyObjArray.html#a616ec7203696ac7dd093488baede0ba6">OpenSim::PropertyObjArray&lt; T &gt;</a>
, <a class="el" href="classOpenSim_1_1PropertyObjPtr.html#ad738362031070bf78e814ae69906153e">OpenSim::PropertyObjPtr&lt; T &gt;</a>
, <a class="el" href="classOpenSim_1_1PropertyStr.html#aa42c167cd0bc4a19879c7393b1900f29">OpenSim::PropertyStr</a>
, <a class="el" href="classOpenSim_1_1PropertyStrArray.html#a57c7fa32bd9cdf400c33bcd31e2f724a">OpenSim::PropertyStrArray</a>
, <a class="el" href="classOpenSim_1_1PropertyTransform.html#a2370c447921b93c1cc68194c6ef0f6fc">OpenSim::PropertyTransform</a>
, <a class="el" href="classOpenSim_1_1ValueArray.html#a5c0fb5ad4b10933d851146bdd2055141">OpenSim::ValueArray&lt; T &gt;</a>
</li>
<li>toString_impl()
: <a class="el" href="classOpenSim_1_1DataTable__.html#a99389b045c8fd7af147e53f631108ff8">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>toStringForDisplay()
: <a class="el" href="classOpenSim_1_1AbstractProperty.html#aea10289debd97d3a1087b0ddbd2bbb07">OpenSim::AbstractProperty</a>
</li>
<li>trace()
: <a class="el" href="classOpenSim_1_1Logger.html#ad981c195465d109877d26430dc93f13a">OpenSim::Logger</a>
</li>
<li>track()
: <a class="el" href="classOpenSim_1_1AssemblySolver.html#a3a7874844b0fa9033b97d4f768536812">OpenSim::AssemblySolver</a>
</li>
<li>TrackingController()
: <a class="el" href="classOpenSim_1_1TrackingController.html#add35a7ea807f3a08380444db48f305ed">OpenSim::TrackingController</a>
</li>
<li>TrackingTask()
: <a class="el" href="classOpenSim_1_1TrackingTask.html#aed0a3151a26742b4701254ebabd2bd46">OpenSim::TrackingTask</a>
</li>
<li>transform()
: <a class="el" href="classOpenSim_1_1SimbodyEngine.html#a50cfe175729de4515133cc3a00633540">OpenSim::SimbodyEngine</a>
</li>
<li>transformPointExpressedInGroundToAppliedBody()
: <a class="el" href="classOpenSim_1_1ExternalLoads.html#a049e56371a74b1afc27a78e553fecd8c">OpenSim::ExternalLoads</a>
</li>
<li>transformPointsExpressedInGroundToAppliedBodies()
: <a class="el" href="classOpenSim_1_1ExternalLoads.html#a1d9247a38371fabecb04d9a08feadf3f">OpenSim::ExternalLoads</a>
</li>
<li>transformPosition()
: <a class="el" href="classOpenSim_1_1SimbodyEngine.html#a07ae262d1e8955ef2f1f404d445e0607">OpenSim::SimbodyEngine</a>
</li>
<li>TRCFileAdapter()
: <a class="el" href="classOpenSim_1_1TRCFileAdapter.html#afdb65db746b8b71d2af5dcd1c81f9dba">OpenSim::TRCFileAdapter</a>
</li>
<li>trim()
: <a class="el" href="classOpenSim_1_1Array.html#abd3897fd81d9d47dd0e771a61f110b16">OpenSim::Array&lt; T &gt;</a>
, <a class="el" href="classOpenSim_1_1Set.html#a5a39d7a869b76794fb11cf41439014c8">OpenSim::Set&lt; T, C &gt;</a>
, <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#a3afa0406d029170edb03b2b549709556">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>trimDotAndDotDotElements()
: <a class="el" href="classOpenSim_1_1ComponentPath.html#a9b943f06ca3e806ffd3a926912b0a9e4">OpenSim::ComponentPath</a>
</li>
<li>trimFrom()
: <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#ab51a558d9b0920e58f8165f16d9a2273">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>TrimLeadingWhitespace()
: <a class="el" href="classOpenSim_1_1IO.html#a8860c925fe15f259ddb67382a438e63a">OpenSim::IO</a>
</li>
<li>trimTo()
: <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#acbff408c194f47b958079ec29e415227">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>trimToIndices()
: <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#a504fad31e0db9a6aeed8a6865015d328">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>TrimTrailingWhitespace()
: <a class="el" href="classOpenSim_1_1IO.html#a4ee4b85da77ab7267e15dfaa7a3a905c">OpenSim::IO</a>
</li>
<li>TrimWhitespace()
: <a class="el" href="classOpenSim_1_1IO.html#a5172ef29181735e15a550e763c25eafc">OpenSim::IO</a>
</li>
<li>TropterProblemBase()
: <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a5d911ac064c0b2decc700e3084ea177b">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:33 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
